## ros-eloquent-rosidl-runtime-py 0.8.2

=== debian/changelog ===
ros-eloquent-rosidl-runtime-py (0.8.2-1bionic) bionic; urgency=high

  * Add .gitignore (#5 <https://github.com/ros2/rosidl_runtime_py/issues/5>)
  * Do not remove interface namespaces (#6 <https://github.com/ros2/rosidl_runtime_py/issues/6>)
  * Contributors: Gaël Écorchard, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.8.1-1bionic) bionic; urgency=high

  * Fix get_interfaces() implementation. (#4 <https://github.com/ros2/rosidl_runtime_py/issues/4>)
  * Add functions for getting interface names and paths (#3 <https://github.com/ros2/rosidl_runtime_py/issues/3>)
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.8.0-1bionic) bionic; urgency=high

  * install resource marker file for package (#2 <https://github.com/ros2/rosidl_runtime_py/issues/2>)
  * Update setup.py URLs
  * Add contributing and license files
  * install package manifest (ros2/rosidl_python#86 <https://github.com/ros2/rosidl_python/issues/86>)
  * Rename TestConfig class to Config to avoid pytest warning (ros2/rosidl_python#82 <https://github.com/ros2/rosidl_python/issues/82>)
  * fix set_message_fields for numpy array (ros2/rosidl_python#81 <https://github.com/ros2/rosidl_python/issues/81>)
  * Fix type name queries for string types. (ros2/rosidl_python#77 <https://github.com/ros2/rosidl_python/issues/77>)
  * Require keyword arguments be passed by name (ros2/rosidl_python#80 <https://github.com/ros2/rosidl_python/issues/80>)
  * Add utility functions to get interface from identifier
  * Make import_message_from_namespaced_type operate on NamespacedType (ros2/rosidl_python#74 <https://github.com/ros2/rosidl_python/issues/74>)
  * handle set_message_fields given some non-basic type (ros2/rosidl_python#68 <https://github.com/ros2/rosidl_python/issues/68>)
  * Add no_arr and no_str parameters (ros2/rosidl_python#38 <https://github.com/ros2/rosidl_python/issues/38>)
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray, Michel Hidalgo, Mikael Arguedas, Vinnam Kim, ivanpauno

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.6-1bionic) bionic; urgency=high

  * fix logic around populating arrays (ros2/rosidl_python#62 <https://github.com/ros2/rosidl_python/issues/62>)
  * Fix the setting of array variables. (ros2/rosidl_python#59 <https://github.com/ros2/rosidl_python/issues/59>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 22:57:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.2-1bionic) bionic; urgency=high

  * allow unicode chars in yaml output (ros2/rosidl_python#50 <https://github.com/ros2/rosidl_python/issues/50>)
  * add xmllint linter test (ros2/rosidl_python#53 <https://github.com/ros2/rosidl_python/issues/53>)
  * store types as tuple of abstract types (ros2/rosidl_python#33 <https://github.com/ros2/rosidl_python/issues/33>)
  * Update tests that were missed during switch to use new interfaces (ros2/rosidl_python#51 <https://github.com/ros2/rosidl_python/issues/51>)
  * [rosidl_runtime_py] Use new test interface definitions
  * simplify code using updated definition API (ros2/rosidl_python#45 <https://github.com/ros2/rosidl_python/issues/45>)
  * Contributors: Dirk Thomas, Jacob Perron, Mikael Arguedas

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 21:58:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 17:48:00 -0000

ros-eloquent-rosidl-runtime-py (0.7.0-1bionic) bionic; urgency=high

  * fix echo of numpy.number values (ros2/rosidl_python#37 <https://github.com/ros2/rosidl_python/issues/37>)
  * Refactor rosidl_runtime_py functions
  * Add rosidl_runtime_py package
  * Contributors: Dirk Thomas, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 10:05:00 -0000
