=== debian/control ===
Source: ros-eloquent-rosidl-runtime-py
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-eloquent-ament-copyright, ros-eloquent-ament-flake8, ros-eloquent-ament-pep257, ros-eloquent-ament-xmllint, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-test-msgs, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosidl-runtime-py
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, python3-yaml, ros-eloquent-rosidl-parser, ros-eloquent-ros-workspace
Description: Runtime utilities for working with generated ROS interfaces in Python.
